Operation on a Resource after Expiration or Release Affecting typo3/cms-backend package, versions <10.4.32 >=11.0.0, <11.5.16


0.0
medium
  • Attack Complexity

    Low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-PHP-TYPO3CMSBACKEND-3023011

  • published

    14 Sep 2022

  • disclosed

    14 Sep 2022

  • credit

    Ingo Fabbri (infabo)

How to fix?

Upgrade typo3/cms-backend to version 10.4.32, 11.5.16 or higher.

Overview

Affected versions of this package are vulnerable to Operation on a Resource after Expiration or Release because the expiration time of a password reset link for TYPO3 backend users is never evaluated. As a result, a password reset link can be used to perform a password reset even if the default expiry time of two hours has been exceeded.